Index: main/udptl.c
===================================================================
--- main/udptl.c	(revision 370740)
+++ main/udptl.c	(working copy)
@@ -402,7 +402,7 @@
 				if (seq_no - i >= s->rx_seq_no) {
 					/* This one wasn't seen before */
 					/* Decode the secondary IFP packet */
-					//fprintf(stderr, "Secondary %d, len %d\n", seq_no - i, lengths[i - 1]);
+					ast_debug(2, "Recovering lost packet via secondary %d, len %d\n", seq_no - i, lengths[i - 1]);
 					s->f[ifp_no].frametype = AST_FRAME_MODEM;
 					s->f[ifp_no].subclass.integer = AST_MODEM_T38;
 
@@ -415,6 +415,7 @@
 					if (ifp_no > 0)
 						AST_LIST_NEXT(&s->f[ifp_no - 1], frame_list) = &s->f[ifp_no];
 					AST_LIST_NEXT(&s->f[ifp_no], frame_list) = NULL;
+					if (!s->f[ifp_no].data.ptr) ast_debug(2, "Built frame with null data pointer\n");
 					ifp_no++;
 				}
 			}
